Package org.eclipse.ecf.discovery

## Class ServiceContainerEvent

- java.lang.Object
- - org.eclipse.ecf.discovery.ServiceContainerEvent

All Implemented Interfaces:
  `IContainerEvent`, `Event`, `IServiceEvent`

    public class ServiceContainerEvent
    extends Object
    implements IServiceEvent

Base event implementation of `IServiceEvent`. Subclasses may be created as appropriate.

### Field Summary

Fields
`protected ID` `containerID`
`protected IServiceInfo` `info`

### Constructor Summary

Constructors
`ServiceContainerEvent​(IServiceInfo info, ID containerID)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ID` `getLocalContainerID()` Get ID of local discovery container (the discovery container receiving this event).
`IServiceInfo` `getServiceInfo()` Get the service info associated with this event
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### info

    protected IServiceInfo info

#### containerID

    protected ID containerID

### Constructor Detail

#### ServiceContainerEvent

    public ServiceContainerEvent​(IServiceInfo info,
                                 ID containerID)

### Method Detail

#### getServiceInfo

    public IServiceInfo getServiceInfo()

Description copied from interface: `IServiceEvent`
Get the service info associated with this event

Specified by:
  `getServiceInfo` in interface `IServiceEvent`
Returns:
  IServiceInfo any info associated with this event. May be `null`.

#### getLocalContainerID

    public ID getLocalContainerID()

Description copied from interface: `IContainerEvent`
Get ID of local discovery container (the discovery container receiving this event).

Specified by:
  `getLocalContainerID` in interface `IContainerEvent`
Returns:
  ID for local container. Will not return `null`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`